Axis2/C: relates to

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# relates to
[WS-Addressing]

## Files
file | axis2_relates_to.h
## Typedefs
typedef struct axis2_relates_to | axis2_relates_to_t
## Functions
AXIS2_EXTERN axis2_relates_to_t * | axis2_relates_to_create (const axutil_env_t *env, const axis2_char_t *value, const axis2_char_t *relationship_type)
AXIS2_EXTERN const axis2_char_t * | axis2_relates_to_get_value (const axis2_relates_to_t *relates_to, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_relates_to_set_value (struct axis2_relates_to *relates_to, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN const axis2_char_t * | axis2_relates_to_get_relationship_type (const axis2_relates_to_t *relates_to, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_relates_to_set_relationship_type (struct axis2_relates_to *relates_to, const axutil_env_t *env, const axis2_char_t *relationship_type)
AXIS2_EXTERN void | axis2_relates_to_free (struct axis2_relates_to *relates_to, const axutil_env_t *env)

## Detailed Description

relates to encapsulates data that indicate how a message relates to another message. The related message is identified by a URI that corresponds to the related message's message ID. The type of the relationship is also captured by relates to. Basically relates to handles the following WS-Addressing header <wsa:RelatesTo RelationshipType="..."?>xs:anyURI</wsa:RelatesTo>

## Typedef Documentation

typedef struct axis2_relates_to axis2_relates_to_t

Type name for struct axis2_relates_to

## Function Documentation

AXIS2_EXTERN axis2_relates_to_t* axis2_relates_to_create | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | value,
|  | const axis2_char_t * | relationship_type |
| ) |  |  |

creates relates to struct.

Parameters:

  | env | pointer to environment struct
  | value | value string
  | relationship_type | relationship type string

AXIS2_EXTERN void axis2_relates_to_free | ( | struct axis2_relates_to * | relates_to,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees relates to struct.

Parameters:

  | relates_to | pointer to relates to struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN const axis2_char_t* axis2_relates_to_get_relationship_type | ( | const axis2_relates_to_t * | relates_to,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets relationship type.

Parameters:

  | relates_to | pointer to relates to struct
  | env | pointer to environment struct

Returns:
  relationship type string

AXIS2_EXTERN const axis2_char_t* axis2_relates_to_get_value | ( | const axis2_relates_to_t * | relates_to,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets value. The value field represents the URI that corresponds to the related message's message ID

Parameters:

  | relates_to | pointer to relates to struct
  | env | pointer to environment struct

Returns:
  value string

AXIS2_EXTERN axis2_status_t axis2_relates_to_set_relationship_type | ( | struct axis2_relates_to * | relates_to,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | relationship_type |
| ) |  |  |

Sets relationship type.

Parameters:

  | relates_to | pointer to relates to struct
  | env | pointer to environment struct
  | relationship_type | relationship type string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_relates_to_set_value | ( | struct axis2_relates_to * | relates_to,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | value |
| ) |  |  |

Sets value. The value field represents the URI that corresponds to the related message's message ID

Parameters:

  | relates_to | pointer to relates to struct
  | env | pointer to environment struct
  | value | value string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE